# ``igraph`.`drawing`.`matplotlib`.`vertex`.`VertexCollection``

class documentation

`class VertexCollection(PatchCollection): (source)`

Constructor: `VertexCollection(*args, **kwargs)`

View In Hierarchy

Collection of vertex patches for plotting.

This class takes additional keyword arguments compared to PatchCollection:

Parameters
vertex_builder | A list of vertex builders to construct the visual vertices. This is updated if the size of the vertices is changed.
size_callback | A function to be triggered after vertex sizes are changed. Typically this redraws the edges.

Method | `__init__` | Undocumented
Method | `get_size` | Get vertex sizes.
Method | `get_sizes` | Same as get_size.
Method | `set_size` | Set vertex sizes.
Method | `set_sizes` | Same as set_size.
Method | `stale.setter` | Undocumented
Property | `stale` | Undocumented
Instance Variable | `_stale_size` | Undocumented

def __init__(self, *args, **kwargs): (source)

Undocumented

def get_size(self): (source)

Get vertex sizes.

If width and height are unequal, get the largest of the two.

Returns
An array of vertex sizes.

def get_sizes(self): (source)

Same as get_size.

def set_size(self, sizes): (source)

Set vertex sizes.

This rescales the current vertex symbol/path linearly, using this value as the largest of width and height.

Parameters
sizes | A sequence of vertex sizes or a single size.

def set_sizes(self, sizes): (source)

Same as set_size.

@stale.setter
def stale(self, val): (source)

Undocumented

@property
stale = (source)

Undocumented

_stale_size: `bool` = (source)

Undocumented